$NetBSD$

- G_CONST_RETURN is deprecated and just means const
- In glib 2.30 G_UNICODE_COMBINING_MARK became known as G_UNICODE_SPACING_MARK

--- gnome-dictionary/libgdict/gdict-defbox.c.orig	2010-07-16 15:18:51.000000000 +0000
+++ gnome-dictionary/libgdict/gdict-defbox.c
@@ -393,8 +393,12 @@ exact_prefix_cmp (const gchar *string,
 	/* If string contains prefix, check that prefix is not followed
 	 * by a unicode mark symbol, e.g. that trailing 'a' in prefix
 	 * is not part of two-char a-with-hat symbol in string. */
-	return type != G_UNICODE_COMBINING_MARK &&
-		type != G_UNICODE_ENCLOSING_MARK &&
+	return type != G_UNICODE_ENCLOSING_MARK &&
+#if GLIB_CHECK_VERSION(2,30,0)
+		type != G_UNICODE_SPACING_MARK &&
+#else
+		type != G_UNICODE_COMBINING_MARK &&
+#endif
 		type != G_UNICODE_NON_SPACING_MARK;
 }
 
@@ -2047,7 +2051,7 @@ gdict_defbox_set_database (GdictDefbox *
  *
  * Since: 0.1
  */
-G_CONST_RETURN gchar *
+const gchar *
 gdict_defbox_get_database (GdictDefbox *defbox)
 {
   g_return_val_if_fail (GDICT_IS_DEFBOX (defbox), NULL);
@@ -2067,7 +2071,7 @@ gdict_defbox_get_database (GdictDefbox *
  *
  * Since: 0.12
  */
-G_CONST_RETURN gchar *
+const gchar *
 gdict_defbox_get_word (GdictDefbox *defbox)
 {
   g_return_val_if_fail (GDICT_IS_DEFBOX (defbox), NULL);
@@ -2873,7 +2877,7 @@ gdict_defbox_set_font_name (GdictDefbox 
  *
  * Since: 0.3
  */
-G_CONST_RETURN gchar *
+const gchar *
 gdict_defbox_get_font_name (GdictDefbox *defbox)
 {
   g_return_val_if_fail (GDICT_IS_DEFBOX (defbox), NULL);
